Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security.provider.cas
Class CasSecurityContextFactory

    java.lang.Object
      org.jasig.portal.security.provider.cas.CasSecurityContextFactory

All Implemented Interfaces:
  ISecurityContextFactory

    public final class CasSecurityContextFactory

extends java.lang.Object
implements ISecurityContextFactory

Factory for CasSecurityContext instances. This factory implementation reads configuration properties from security.properties once and stores those properties as static fields. As a consequence, this class is not usefully multiply instantiable -- you can multiply instantiate it, but all instances will behave the same. Also, this factory will not reflect changes to these properties in security.properties until the class is unloaded and reloaded -- typically only on portal JVM restart.

Field Summary
`private static java.lang.String` | `casProxyCallbackUrl` The https: URL to which CAS is to deliver proxy granting tickets.
`private static java.lang.String` | `casValidateUrl` The URL at which these service tickets can be validated.
`private org.apache.commons.logging.Log` | `log`
`private static java.lang.String` | `portalServiceUrl` The URL to which service tickets will authenticate users.

Constructor Summary
`CasSecurityContextFactory()`

Method Summary
`ISecurityContext` | `getSecurityContext()`
`private void` | `initializeFromSecurityProperties()` Retrieve my properties from security.properties
`static void` | `setCasProxyCallbackUrl(java.lang.String casProxyCallbackUrlArg)` Static setter method for poor-man's dependency injection.
`static void` | `setCasValidateUrl(java.lang.String casValidateUrlArg)` Static setter method for poor-man's dependency injection.
`static void` | `setPortalServiceUrl(java.lang.String portalServiceUrlArg)` Static setter method for poor-man's dependency injection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private final org.apache.commons.logging.Log log

### casProxyCallbackUrl

    private static java.lang.String casProxyCallbackUrl

  The https: URL to which CAS is to deliver proxy granting tickets. Static to avoid going back to security properties repeatedly.

### portalServiceUrl

    private static java.lang.String portalServiceUrl

  The URL to which service tickets will authenticate users. Static to avoid going back to security properties repeatedly.

### casValidateUrl

    private static java.lang.String casValidateUrl

  The URL at which these service tickets can be validated. Static to avoid going back to security properties repeatedly.

Constructor Detail

### CasSecurityContextFactory

    public CasSecurityContextFactory()

Method Detail

### initializeFromSecurityProperties

    private void initializeFromSecurityProperties()
                                           throws ResourceMissingException,
                                                  java.io.IOException

  Retrieve my properties from security.properties

  Throws:
    `java.io.IOException`
    `ResourceMissingException`

### getSecurityContext

    public ISecurityContext getSecurityContext()

  Specified by:
    `getSecurityContext` in interface `ISecurityContextFactory`

### setCasProxyCallbackUrl

    public static void setCasProxyCallbackUrl(java.lang.String casProxyCallbackUrlArg)

  Static setter method for poor-man's dependency injection. Calling this class's static setter methods is an alternative to using security.properties. You could call this from a context listener. You can safely just ignore this method.

  Parameters:
    `casProxyCallbackUrlArg` - - the https: URL to which you would like CAS deliver proxy granting tickets.

### setPortalServiceUrl

    public static void setPortalServiceUrl(java.lang.String portalServiceUrlArg)

  Static setter method for poor-man's dependency injection. Calling this class's static setter methods is an alternative to using security.properties. You could call this from a context listener. You can safely just ignore this method.

  Parameters:
    `portalServiceUrlArg` - - the URL to which service tickets will authenticate portal users

### setCasValidateUrl

    public static void setCasValidateUrl(java.lang.String casValidateUrlArg)

  Static setter method for poor-man's dependency injection. Calling this class's static setter methods is an alternative to using security.properties. You could call this from a context listener. You can safely just ignore this method.

  Parameters:
    `casValidateUrlArg` - - the https: URL at which CAS will validate the tickets

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD